-- plants and other small decorations
core.register_decoration({
  deco_type = "simple",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.009,
  biomes = PyuTest.get_flowering_biomes(),
  decoration = PyuTest.registered_flowers
})

core.register_decoration({
  deco_type = "simple",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.032,
  biomes = PyuTest.get_extra_flowering_biomes(),
  decoration = PyuTest.registered_flowers
})

core.register_decoration({
  deco_type = "simple",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.048,
  biomes = { "Grassland" },
  decoration = "pyutest_grass:grass_plant"
})

core.register_decoration({
  deco_type = "simple",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.0018,
  biomes = { "Grassland" },
  decoration = "pyutest_blocks:haybale_block"
})

core.register_decoration({
  deco_type = "simple",
  place_on = { "pyutest_blocks:dirt_block", "pyutest_blocks:sand_block" },
  sidelen = 16,
  fill_ratio = 0.019,
  biomes = { "Desert" },
  decoration = "pyutest_flowers:deadbush"
})

core.register_decoration({
    deco_type = "simple",
    place_on = { "group:sand" },
    fill_ratio = 0.0009,
    sidelen = 16,
    biomes = { "Desert" },
    decoration = "pyutest_flowers:cactus",
    height = 2,
    height_max = 5
})

core.register_decoration({
  deco_type = "simple",
  sidelen = 16,
  fill_ratio = 0.03,
  place_on = { "pyutest_blocks:water_source" },
  biomes = { "Swamp", "Swamp_ocean" },
  y_max = PyuTest.OVERWORLD_TOP,
  y_min = 0,
  decoration = "pyutest_flowers:lilypad",
  flags = "liquid_surface"
})

core.register_decoration({
  deco_type = "simple",
  sidelen = 16,
  fill_ratio = 0.04,
  place_on = { "group:sugarcane_spawn_on" },
  decoration = "pyutest_flowers:sugarcane",
  y_max = PyuTest.OVERWORLD_SURFACE_BOTTOM,
  y_min = 0,
  spawn_by = { "pyutest_blocks:water_source" },
  num_spawn_by = 1,
  height = 1,
  height_max = 4
})

-- trees
core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.03,
  biomes = { "Forest" },
  schematic = PyuTest.get_schematic_path("Tree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.00045,
  biomes = { "Grassland" },
  schematic = PyuTest.get_schematic_path("Tree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.00085,
  biomes = { "Savanna" },
  schematic = PyuTest.get_schematic_path("SavannaTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true,
  place_offset_y = 1
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "pyutest_blocks:mycelium_block" },
  sidelen = 16,
  fill_ratio = 0.003,
  biomes = { "MushroomFields", "LargeMushroomForest" },
  schematic = PyuTest.get_schematic_path("Mushroom"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true,
  place_offset_y = 1
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.018,
  biomes = { "Taiga" },
  schematic = PyuTest.get_schematic_path("TaigaTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true,
  place_offset_y = 1
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.03,
  biomes = { "BirchForest" },
  schematic = PyuTest.get_schematic_path("BirchTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.02,
  biomes = { "BirchForest", "OldGrowthBirchForest" },
  schematic = PyuTest.get_schematic_path("TallBirchTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.005,
  biomes = { "CherryGrove" },
  schematic = PyuTest.get_schematic_path("CherryTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true,
  place_offset_y = 1
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "pyutest_blocks:snow_block" },
  sidelen = 16,
  fill_ratio = 0.004,
  biomes = { "SnowyForest" },
  schematic = PyuTest.get_schematic_path("SnowyTree1"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "pyutest_blocks:snow_block" },
  sidelen = 16,
  fill_ratio = 0.004,
  biomes = { "SnowyForest" },
  schematic = PyuTest.get_schematic_path("SnowyTree2"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true,
  place_offset_y = 1
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.004,
  biomes = { "Swamp" },
  schematic = PyuTest.get_schematic_path("SwampTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.004,
  biomes = { "OldGrowthBirchForest" },
  schematic = PyuTest.get_schematic_path("VeryTallBirchTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.016,
  biomes = { "AspenForest" },
  schematic = PyuTest.get_schematic_path("AspenTree1"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "group:grass" },
  sidelen = 16,
  fill_ratio = 0.008,
  biomes = { "AspenForest" },
  schematic = PyuTest.get_schematic_path("AspenTree2"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "pyutest_blocks:podzol_block" },
  sidelen = 16,
  fill_ratio = 0.019,
  biomes = { "RedwoodForest" },
  schematic = PyuTest.get_schematic_path("RedwoodTree"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "pyutest_blocks:mycelium_block" },
  sidelen = 16,
  fill_ratio = 0.006,
  biomes = { "LargeMushroomForest" },
  schematic = PyuTest.get_schematic_path("TallMushroom"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "pyutest_blocks:mycelium_block" },
  sidelen = 16,
  fill_ratio = 0.002,
  biomes = { "LargeMushroomForest" },
  schematic = PyuTest.get_schematic_path("SmallMushroom"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  place_offset_y = 1,
  force_placement = true
})

core.register_decoration({
  deco_type = "schematic",
  place_on = { "pyutest_blocks:mycelium_block" },
  sidelen = 16,
  fill_ratio = 0.007,
  biomes = { "LargeMushroomForest" },
  schematic = PyuTest.get_schematic_path("FallenMushroom"),
  rotation = "random",
  flags = "place_center_x, place_center_z",
  place_offset_y = 1,
  force_placement = true
})
